Subject: bug#8391: chmod setuid & setguid bits

From: Ondrej Vasik <[email-masked]>
Date: Tue, 06 Mar 2012 07:06:11 +0100

On Mon, 2012-03-05 at 23:27 +0100, Bruno Haible wrote:
> Ondrej Vasik wrote:
> > Therefore @ sign was chosen
> > based on http://debbugs.gnu.org/cgi/bugreport.cgi?bug=8391#59 ...
> 
> The choice was pretty random:
>    "we can choose some otherwise-unused character, such as '@'."
> 
> By the same argument one could also choose any of
>   '%'
>   '^'
>   ','
>   '.'
>   '_'

Yes, that's true - and as it is new, it is less probable that the mode
with this new otherwise-unused character will cause some confusion or
troubles. But any of them is contra intuitive...

> > However, you are right that = is more intuitive (using exact mode, when
> > specified as first character) - but using it for that will either change
> > behaviour or confuse people for 'chmod =rwx DIR' usecase, if there are
> > special bits on directory.
> 
> Then how about using "==" or ":=" to designate the assignment?
> 
>   chmod ==755 DIR
> or
>   chmod :=755 DIR
> 
> Both somehow remind assignment. The "==" choice also is similar with
>   chmod 00755 DIR

Yes, "==" and ":=" preceeding the mode sounds as an option - but I'm
still a bit worried about unwanted behaviour when an unexperienced user
will use only one equation mark with the intention of forcing exact
mode. However, single = in combination with numeric mode will report
invalid mode anyway.
New, previously unused character, mitigates the risk of such confusion
anyway. 

Greetings,
         Ondrej